//
#ifndef Timer_h
#define Timer_h
//
#include <Arduino.h>
//
const long unsigned INIT_TIMER_PERIOD_MS = 0L;
//
class CTimer
{
    private:
    long unsigned FPeriod;  // [ms]
    long unsigned FPreset; // [ms]
    //
    public:
    CTimer(void);
    void Start(long unsigned ticksdelta);
    void Stop(void);
    long unsigned GetMillis(void);
    bool Execute(void);
};
//
#endif // Timer_h
//
